"Fossies" - the Fresh Open Source Software Archive 
Member "alive-2.0.5/Makefile.in" (2 Jan 2022, 24918 Bytes) of package /linux/privat/alive-2.0.5.tar.lz:
As a special service "Fossies" has tried to format the requested text file into HTML format (style:
standard) with prefixed line numbers.
Alternatively you can here
view or
download the uninterpreted source code file.
See also the latest
Fossies "Diffs" side-by-side code changes report for "Makefile.in":
2.0.4_vs_2.0.5.
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile.am
18 #
19 # Copyright (C) 2012, 2022 Thien-Thi Nguyen
20 #
21 # This file is part of GNU Alive.
22 #
23 # GNU Alive is free software; you can redistribute it and/or modify
24 # it under the terms of the GNU General Public License as published by
25 # the Free Software Foundation; either version 3, or (at your option)
26 # any later version.
27 #
28 # GNU Alive is distributed in the hope that it will be useful,
29 # but WITHOUT ANY WARRANTY; without even the implied warranty of
30 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
31 # GNU General Public License for more details.
32 #
33 # You should have received a copy of the GNU General Public License
34 # along with GNU Alive. If not, see <https://www.gnu.org/licenses/>.
35 VPATH = @srcdir@
36 am__is_gnu_make = { \
37 if test -z '$(MAKELEVEL)'; then \
38 false; \
39 elif test -n '$(MAKE_HOST)'; then \
40 true; \
41 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
42 true; \
43 else \
44 false; \
45 fi; \
46 }
47 am__make_running_with_option = \
48 case $${target_option-} in \
49 ?) ;; \
50 *) echo "am__make_running_with_option: internal error: invalid" \
51 "target option '$${target_option-}' specified" >&2; \
52 exit 1;; \
53 esac; \
54 has_opt=no; \
55 sane_makeflags=$$MAKEFLAGS; \
56 if $(am__is_gnu_make); then \
57 sane_makeflags=$$MFLAGS; \
58 else \
59 case $$MAKEFLAGS in \
60 *\\[\ \ ]*) \
61 bs=\\; \
62 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
64 esac; \
65 fi; \
66 skip_next=no; \
67 strip_trailopt () \
68 { \
69 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70 }; \
71 for flg in $$sane_makeflags; do \
72 test $$skip_next = yes && { skip_next=no; continue; }; \
73 case $$flg in \
74 *=*|--*) continue;; \
75 -*I) strip_trailopt 'I'; skip_next=yes;; \
76 -*I?*) strip_trailopt 'I';; \
77 -*O) strip_trailopt 'O'; skip_next=yes;; \
78 -*O?*) strip_trailopt 'O';; \
79 -*l) strip_trailopt 'l'; skip_next=yes;; \
80 -*l?*) strip_trailopt 'l';; \
81 -[dEDm]) skip_next=yes;; \
82 -[JT]) skip_next=yes;; \
83 esac; \
84 case $$flg in \
85 *$$target_option*) has_opt=yes; break;; \
86 esac; \
87 done; \
88 test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 subdir = .
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/build-aux/snuggle.m4 \
110 $(top_srcdir)/configure.ac
111 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112 $(ACLOCAL_M4)
113 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
114 $(am__configure_deps) $(am__DIST_COMMON)
115 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
116 configure.lineno config.status.lineno
117 mkinstalldirs = $(install_sh) -d
118 CONFIG_CLEAN_FILES =
119 CONFIG_CLEAN_VPATH_FILES =
120 AM_V_P = $(am__v_P_@AM_V@)
121 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
122 am__v_P_0 = false
123 am__v_P_1 = :
124 AM_V_GEN = $(am__v_GEN_@AM_V@)
125 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
126 am__v_GEN_0 = @echo " GEN " $@;
127 am__v_GEN_1 =
128 AM_V_at = $(am__v_at_@AM_V@)
129 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
130 am__v_at_0 = @
131 am__v_at_1 =
132 SOURCES =
133 DIST_SOURCES =
134 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
135 ctags-recursive dvi-recursive html-recursive info-recursive \
136 install-data-recursive install-dvi-recursive \
137 install-exec-recursive install-html-recursive \
138 install-info-recursive install-pdf-recursive \
139 install-ps-recursive install-recursive installcheck-recursive \
140 installdirs-recursive pdf-recursive ps-recursive \
141 tags-recursive uninstall-recursive
142 am__can_run_installinfo = \
143 case $$AM_UPDATE_INFO_DIR in \
144 n|no|NO) false;; \
145 *) (install-info --version) >/dev/null 2>&1;; \
146 esac
147 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
148 distclean-recursive maintainer-clean-recursive
149 am__recursive_targets = \
150 $(RECURSIVE_TARGETS) \
151 $(RECURSIVE_CLEAN_TARGETS) \
152 $(am__extra_recursive_targets)
153 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
154 cscope distdir distdir-am dist dist-all distcheck
155 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
156 # Read a list of newline-separated strings from the standard input,
157 # and print each of them once, without duplicates. Input order is
158 # *not* preserved.
159 am__uniquify_input = $(AWK) '\
160 BEGIN { nonempty = 0; } \
161 { items[$$0] = 1; nonempty = 1; } \
162 END { if (nonempty) { for (i in items) print i; }; } \
163 '
164 # Make sure the list of sources is unique. This is necessary because,
165 # e.g., the same source file might be shared among _SOURCES variables
166 # for different programs/libraries.
167 am__define_uniq_tagged_files = \
168 list='$(am__tagged_files)'; \
169 unique=`for i in $$list; do \
170 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
171 done | $(am__uniquify_input)`
172 DIST_SUBDIRS = $(SUBDIRS)
173 am__DIST_COMMON = $(srcdir)/Makefile.in \
174 $(top_srcdir)/build-aux/install-sh \
175 $(top_srcdir)/build-aux/missing AUTHORS COPYING ChangeLog \
176 INSTALL NEWS README THANKS build-aux/install-sh \
177 build-aux/mdate-sh build-aux/missing build-aux/texinfo.tex
178 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
179 distdir = $(PACKAGE)-$(VERSION)
180 top_distdir = $(distdir)
181 am__remove_distdir = \
182 if test -d "$(distdir)"; then \
183 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
184 && rm -rf "$(distdir)" \
185 || { sleep 5 && rm -rf "$(distdir)"; }; \
186 else :; fi
187 am__post_remove_distdir = $(am__remove_distdir)
188 am__relativize = \
189 dir0=`pwd`; \
190 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
191 sed_rest='s,^[^/]*/*,,'; \
192 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
193 sed_butlast='s,/*[^/]*$$,,'; \
194 while test -n "$$dir1"; do \
195 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
196 if test "$$first" != "."; then \
197 if test "$$first" = ".."; then \
198 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
199 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
200 else \
201 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
202 if test "$$first2" = "$$first"; then \
203 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
204 else \
205 dir2="../$$dir2"; \
206 fi; \
207 dir0="$$dir0"/"$$first"; \
208 fi; \
209 fi; \
210 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
211 done; \
212 reldir="$$dir2"
213 GZIP_ENV = --best
214 DIST_ARCHIVES = $(distdir).tar.lz
215 DIST_TARGETS = dist-lzip
216 # Exists only to be overridden by the user if desired.
217 AM_DISTCHECK_DVI_TARGET = dvi
218 distuninstallcheck_listfiles = find . -type f -print
219 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
220 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
221 distcleancheck_listfiles = find . -type f -print
222 ACLOCAL = @ACLOCAL@
223 AMTAR = @AMTAR@
224 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
225 AUTOCONF = @AUTOCONF@
226 AUTOHEADER = @AUTOHEADER@
227 AUTOMAKE = @AUTOMAKE@
228 AWK = @AWK@
229 CSCOPE = @CSCOPE@
230 CTAGS = @CTAGS@
231 CYGPATH_W = @CYGPATH_W@
232 DEFS = @DEFS@
233 ECHO_C = @ECHO_C@
234 ECHO_N = @ECHO_N@
235 ECHO_T = @ECHO_T@
236 ETAGS = @ETAGS@
237 GUILE = @GUILE@
238 GUILE_CONFIG = @GUILE_CONFIG@
239 GUILE_TOOLS = @GUILE_TOOLS@
240 INSTALL = @INSTALL@
241 INSTALL_DATA = @INSTALL_DATA@
242 INSTALL_PROGRAM = @INSTALL_PROGRAM@
243 INSTALL_SCRIPT = @INSTALL_SCRIPT@
244 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
245 LIBOBJS = @LIBOBJS@
246 LIBS = @LIBS@
247 LTLIBOBJS = @LTLIBOBJS@
248 MAKEINFO = @MAKEINFO@
249 MKDIR_P = @MKDIR_P@
250 PACKAGE = @PACKAGE@
251 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252 PACKAGE_NAME = @PACKAGE_NAME@
253 PACKAGE_STRING = @PACKAGE_STRING@
254 PACKAGE_TARNAME = @PACKAGE_TARNAME@
255 PACKAGE_URL = @PACKAGE_URL@
256 PACKAGE_VERSION = @PACKAGE_VERSION@
257 PATH_SEPARATOR = @PATH_SEPARATOR@
258 PING = @PING@
259 SET_MAKE = @SET_MAKE@
260 SHELL = @SHELL@
261 STRIP = @STRIP@
262 VERSION = @VERSION@
263 abs_builddir = @abs_builddir@
264 abs_srcdir = @abs_srcdir@
265 abs_top_builddir = @abs_top_builddir@
266 abs_top_srcdir = @abs_top_srcdir@
267 am__leading_dot = @am__leading_dot@
268 am__tar = @am__tar@
269 am__untar = @am__untar@
270 bindir = @bindir@
271 build_alias = @build_alias@
272 builddir = @builddir@
273 datadir = @datadir@
274 datarootdir = @datarootdir@
275 docdir = @docdir@
276 dvidir = @dvidir@
277 exec_prefix = @exec_prefix@
278 host_alias = @host_alias@
279 htmldir = @htmldir@
280 includedir = @includedir@
281 infodir = @infodir@
282 install_sh = @install_sh@
283 libdir = @libdir@
284 libexecdir = @libexecdir@
285 localedir = @localedir@
286 localstatedir = @localstatedir@
287 mandir = @mandir@
288 mkdir_p = @mkdir_p@
289 oldincludedir = @oldincludedir@
290 pdfdir = @pdfdir@
291 prefix = @prefix@
292 program_transform_name = @program_transform_name@
293 psdir = @psdir@
294 runstatedir = @runstatedir@
295 sbindir = @sbindir@
296 sharedstatedir = @sharedstatedir@
297 srcdir = @srcdir@
298 sysconfdir = @sysconfdir@
299 target_alias = @target_alias@
300 top_build_prefix = @top_build_prefix@
301 top_builddir = @top_builddir@
302 top_srcdir = @top_srcdir@
303 SUBDIRS = src doc
304 ACLOCAL_AMFLAGS = -I build-aux
305 all: all-recursive
306
307 .SUFFIXES:
308 am--refresh: Makefile
309 @:
310 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
311 @for dep in $?; do \
312 case '$(am__configure_deps)' in \
313 *$$dep*) \
314 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
315 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
316 && exit 0; \
317 exit 1;; \
318 esac; \
319 done; \
320 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
321 $(am__cd) $(top_srcdir) && \
322 $(AUTOMAKE) --gnu Makefile
323 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
324 @case '$?' in \
325 *config.status*) \
326 echo ' $(SHELL) ./config.status'; \
327 $(SHELL) ./config.status;; \
328 *) \
329 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
330 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
331 esac;
332
333 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
334 $(SHELL) ./config.status --recheck
335
336 $(top_srcdir)/configure: $(am__configure_deps)
337 $(am__cd) $(srcdir) && $(AUTOCONF)
338 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
339 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
340 $(am__aclocal_m4_deps):
341
342 # This directory's subdirectories are mostly independent; you can cd
343 # into them and run 'make' without going through this Makefile.
344 # To change the values of 'make' variables: instead of editing Makefiles,
345 # (1) if the variable is set in 'config.status', edit 'config.status'
346 # (which will cause the Makefiles to be regenerated when you run 'make');
347 # (2) otherwise, pass the desired values on the 'make' command line.
348 $(am__recursive_targets):
349 @fail=; \
350 if $(am__make_keepgoing); then \
351 failcom='fail=yes'; \
352 else \
353 failcom='exit 1'; \
354 fi; \
355 dot_seen=no; \
356 target=`echo $@ | sed s/-recursive//`; \
357 case "$@" in \
358 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
359 *) list='$(SUBDIRS)' ;; \
360 esac; \
361 for subdir in $$list; do \
362 echo "Making $$target in $$subdir"; \
363 if test "$$subdir" = "."; then \
364 dot_seen=yes; \
365 local_target="$$target-am"; \
366 else \
367 local_target="$$target"; \
368 fi; \
369 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
370 || eval $$failcom; \
371 done; \
372 if test "$$dot_seen" = "no"; then \
373 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
374 fi; test -z "$$fail"
375
376 ID: $(am__tagged_files)
377 $(am__define_uniq_tagged_files); mkid -fID $$unique
378 tags: tags-recursive
379 TAGS: tags
380
381 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
382 set x; \
383 here=`pwd`; \
384 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
385 include_option=--etags-include; \
386 empty_fix=.; \
387 else \
388 include_option=--include; \
389 empty_fix=; \
390 fi; \
391 list='$(SUBDIRS)'; for subdir in $$list; do \
392 if test "$$subdir" = .; then :; else \
393 test ! -f $$subdir/TAGS || \
394 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
395 fi; \
396 done; \
397 $(am__define_uniq_tagged_files); \
398 shift; \
399 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
400 test -n "$$unique" || unique=$$empty_fix; \
401 if test $$# -gt 0; then \
402 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
403 "$$@" $$unique; \
404 else \
405 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
406 $$unique; \
407 fi; \
408 fi
409 ctags: ctags-recursive
410
411 CTAGS: ctags
412 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
413 $(am__define_uniq_tagged_files); \
414 test -z "$(CTAGS_ARGS)$$unique" \
415 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
416 $$unique
417
418 GTAGS:
419 here=`$(am__cd) $(top_builddir) && pwd` \
420 && $(am__cd) $(top_srcdir) \
421 && gtags -i $(GTAGS_ARGS) "$$here"
422 cscope: cscope.files
423 test ! -s cscope.files \
424 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
425 clean-cscope:
426 -rm -f cscope.files
427 cscope.files: clean-cscope cscopelist
428 cscopelist: cscopelist-recursive
429
430 cscopelist-am: $(am__tagged_files)
431 list='$(am__tagged_files)'; \
432 case "$(srcdir)" in \
433 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
434 *) sdir=$(subdir)/$(srcdir) ;; \
435 esac; \
436 for i in $$list; do \
437 if test -f "$$i"; then \
438 echo "$(subdir)/$$i"; \
439 else \
440 echo "$$sdir/$$i"; \
441 fi; \
442 done >> $(top_builddir)/cscope.files
443
444 distclean-tags:
445 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
446 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
447 distdir: $(BUILT_SOURCES)
448 $(MAKE) $(AM_MAKEFLAGS) distdir-am
449
450 distdir-am: $(DISTFILES)
451 $(am__remove_distdir)
452 test -d "$(distdir)" || mkdir "$(distdir)"
453 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
454 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
455 list='$(DISTFILES)'; \
456 dist_files=`for file in $$list; do echo $$file; done | \
457 sed -e "s|^$$srcdirstrip/||;t" \
458 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
459 case $$dist_files in \
460 */*) $(MKDIR_P) `echo "$$dist_files" | \
461 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
462 sort -u` ;; \
463 esac; \
464 for file in $$dist_files; do \
465 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
466 if test -d $$d/$$file; then \
467 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
468 if test -d "$(distdir)/$$file"; then \
469 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
470 fi; \
471 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
472 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
473 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
474 fi; \
475 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
476 else \
477 test -f "$(distdir)/$$file" \
478 || cp -p $$d/$$file "$(distdir)/$$file" \
479 || exit 1; \
480 fi; \
481 done
482 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
483 if test "$$subdir" = .; then :; else \
484 $(am__make_dryrun) \
485 || test -d "$(distdir)/$$subdir" \
486 || $(MKDIR_P) "$(distdir)/$$subdir" \
487 || exit 1; \
488 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
489 $(am__relativize); \
490 new_distdir=$$reldir; \
491 dir1=$$subdir; dir2="$(top_distdir)"; \
492 $(am__relativize); \
493 new_top_distdir=$$reldir; \
494 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
495 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
496 ($(am__cd) $$subdir && \
497 $(MAKE) $(AM_MAKEFLAGS) \
498 top_distdir="$$new_top_distdir" \
499 distdir="$$new_distdir" \
500 am__remove_distdir=: \
501 am__skip_length_check=: \
502 am__skip_mode_fix=: \
503 distdir) \
504 || exit 1; \
505 fi; \
506 done
507 -test -n "$(am__skip_mode_fix)" \
508 || find "$(distdir)" -type d ! -perm -755 \
509 -exec chmod u+rwx,go+rx {} \; -o \
510 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
511 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
512 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
513 || chmod -R a+r "$(distdir)"
514 dist-gzip: distdir
515 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
516 $(am__post_remove_distdir)
517
518 dist-bzip2: distdir
519 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
520 $(am__post_remove_distdir)
521 dist-lzip: distdir
522 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
523 $(am__post_remove_distdir)
524
525 dist-xz: distdir
526 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
527 $(am__post_remove_distdir)
528
529 dist-zstd: distdir
530 tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
531 $(am__post_remove_distdir)
532
533 dist-tarZ: distdir
534 @echo WARNING: "Support for distribution archives compressed with" \
535 "legacy program 'compress' is deprecated." >&2
536 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
537 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
538 $(am__post_remove_distdir)
539
540 dist-shar: distdir
541 @echo WARNING: "Support for shar distribution archives is" \
542 "deprecated." >&2
543 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
544 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
545 $(am__post_remove_distdir)
546
547 dist-zip: distdir
548 -rm -f $(distdir).zip
549 zip -rq $(distdir).zip $(distdir)
550 $(am__post_remove_distdir)
551
552 dist dist-all:
553 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
554 $(am__post_remove_distdir)
555
556 # This target untars the dist file and tries a VPATH configuration. Then
557 # it guarantees that the distribution is self-contained by making another
558 # tarfile.
559 distcheck: dist
560 case '$(DIST_ARCHIVES)' in \
561 *.tar.gz*) \
562 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
563 *.tar.bz2*) \
564 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
565 *.tar.lz*) \
566 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
567 *.tar.xz*) \
568 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
569 *.tar.Z*) \
570 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
571 *.shar.gz*) \
572 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
573 *.zip*) \
574 unzip $(distdir).zip ;;\
575 *.tar.zst*) \
576 zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
577 esac
578 chmod -R a-w $(distdir)
579 chmod u+w $(distdir)
580 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
581 chmod a-w $(distdir)
582 test -d $(distdir)/_build || exit 0; \
583 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
584 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
585 && am__cwd=`pwd` \
586 && $(am__cd) $(distdir)/_build/sub \
587 && ../../configure \
588 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
589 $(DISTCHECK_CONFIGURE_FLAGS) \
590 --srcdir=../.. --prefix="$$dc_install_base" \
591 && $(MAKE) $(AM_MAKEFLAGS) \
592 && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
593 && $(MAKE) $(AM_MAKEFLAGS) check \
594 && $(MAKE) $(AM_MAKEFLAGS) install \
595 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
596 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
597 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
598 distuninstallcheck \
599 && chmod -R a-w "$$dc_install_base" \
600 && ({ \
601 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
602 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
603 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
604 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
605 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
606 } || { rm -rf "$$dc_destdir"; exit 1; }) \
607 && rm -rf "$$dc_destdir" \
608 && $(MAKE) $(AM_MAKEFLAGS) dist \
609 && rm -rf $(DIST_ARCHIVES) \
610 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
611 && cd "$$am__cwd" \
612 || exit 1
613 $(am__post_remove_distdir)
614 @(echo "$(distdir) archives ready for distribution: "; \
615 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
616 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
617 distuninstallcheck:
618 @test -n '$(distuninstallcheck_dir)' || { \
619 echo 'ERROR: trying to run $@ with an empty' \
620 '$$(distuninstallcheck_dir)' >&2; \
621 exit 1; \
622 }; \
623 $(am__cd) '$(distuninstallcheck_dir)' || { \
624 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
625 exit 1; \
626 }; \
627 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
628 || { echo "ERROR: files left after uninstall:" ; \
629 if test -n "$(DESTDIR)"; then \
630 echo " (check DESTDIR support)"; \
631 fi ; \
632 $(distuninstallcheck_listfiles) ; \
633 exit 1; } >&2
634 distcleancheck: distclean
635 @if test '$(srcdir)' = . ; then \
636 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
637 exit 1 ; \
638 fi
639 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
640 || { echo "ERROR: files left in build directory after distclean:" ; \
641 $(distcleancheck_listfiles) ; \
642 exit 1; } >&2
643 check-am: all-am
644 check: check-recursive
645 all-am: Makefile
646 installdirs: installdirs-recursive
647 installdirs-am:
648 install: install-recursive
649 install-exec: install-exec-recursive
650 install-data: install-data-recursive
651 uninstall: uninstall-recursive
652
653 install-am: all-am
654 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
655
656 installcheck: installcheck-recursive
657 install-strip:
658 if test -z '$(STRIP)'; then \
659 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
660 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
661 install; \
662 else \
663 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
664 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
665 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
666 fi
667 mostlyclean-generic:
668
669 clean-generic:
670
671 distclean-generic:
672 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
673 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
674
675 maintainer-clean-generic:
676 @echo "This command is intended for maintainers to use"
677 @echo "it deletes files that may require special tools to rebuild."
678 clean: clean-recursive
679
680 clean-am: clean-generic mostlyclean-am
681
682 distclean: distclean-recursive
683 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
684 -rm -f Makefile
685 distclean-am: clean-am distclean-generic distclean-tags
686
687 dvi: dvi-recursive
688
689 dvi-am:
690
691 html: html-recursive
692
693 html-am:
694
695 info: info-recursive
696
697 info-am:
698
699 install-data-am:
700
701 install-dvi: install-dvi-recursive
702
703 install-dvi-am:
704
705 install-exec-am:
706
707 install-html: install-html-recursive
708
709 install-html-am:
710
711 install-info: install-info-recursive
712
713 install-info-am:
714
715 install-man:
716
717 install-pdf: install-pdf-recursive
718
719 install-pdf-am:
720
721 install-ps: install-ps-recursive
722
723 install-ps-am:
724
725 installcheck-am:
726
727 maintainer-clean: maintainer-clean-recursive
728 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
729 -rm -rf $(top_srcdir)/autom4te.cache
730 -rm -f Makefile
731 maintainer-clean-am: distclean-am maintainer-clean-generic
732
733 mostlyclean: mostlyclean-recursive
734
735 mostlyclean-am: mostlyclean-generic
736
737 pdf: pdf-recursive
738
739 pdf-am:
740
741 ps: ps-recursive
742
743 ps-am:
744
745 uninstall-am:
746
747 .MAKE: $(am__recursive_targets) install-am install-strip
748
749 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
750 am--refresh check check-am clean clean-cscope clean-generic \
751 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
752 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
753 dist-zstd distcheck distclean distclean-generic distclean-tags \
754 distcleancheck distdir distuninstallcheck dvi dvi-am html \
755 html-am info info-am install install-am install-data \
756 install-data-am install-dvi install-dvi-am install-exec \
757 install-exec-am install-html install-html-am install-info \
758 install-info-am install-man install-pdf install-pdf-am \
759 install-ps install-ps-am install-strip installcheck \
760 installcheck-am installdirs installdirs-am maintainer-clean \
761 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
762 pdf-am ps ps-am tags tags-am uninstall uninstall-am
763
764 .PRECIOUS: Makefile
765
766
767 # Makefile.am ends here
768
769 # Tell versions [3.59,3.63) of GNU make to not export all variables.
770 # Otherwise a system limit (for SysV at least) may be exceeded.
771 .NOEXPORT: